package domain

type AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku struct {
	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   单位为分     */
	ExchangePrice *int64 `json:"exchange_price,omitempty" `

	/*
	   换购商品总数限制 defalutValue:-1    */
	ExchangeTotalLimit *int64 `json:"exchange_total_limit,omitempty" `

	/*
	   换购商品每单可换购数量限制     */
	ExchangeOrderLimit *int64 `json:"exchange_order_limit,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku) SetSkuCode(v string) *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku) SetExchangePrice(v int64) *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku {
	s.ExchangePrice = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku) SetExchangeTotalLimit(v int64) *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku {
	s.ExchangeTotalLimit = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku) SetExchangeOrderLimit(v int64) *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku {
	s.ExchangeOrderLimit = &v
	return s
}
